Inhalte

# Funktion Join

Gibt eine Anzahl von Unterzeichenfolgen in einer Matrix als eine einzige Zeichenfolge zurück.

### Syntax:

    Join (Quellmatrix As Object, Trennzeichen As String) As String

### Rückgabewert:

String

### Parameter:

Quellmatrix: Eine Zeichenfolgenmatrix.

Trennzeichen: Ein optionales Zeichen, das zum Trennen der Teilzeichenfolgen in der resultierenden Zeichenfolge verwendet wird. Das Standardtrennzeichen ist das Leerzeichen. Wenn Trennzeichen eine Zeichenfolge der Länge Null "" ist, werden die Teilszeichenfolgen ohne Trennzeichen zusammengefügt.

### Beispiel:

    Dim a(3)
    Sub main()
        a(0) = "ABCDE"
        a(1) = 42
        a(2) = "MN"
        a(3) = "X Y Z"
        JStr = Join1()
        Call Show(JStr, Split1(JStr))
        JStr = Join2()
        Call Show(JStr, Split1(JStr))
        JStr = Join3()
        Call Show(JStr, Split1(JStr))
    End Sub

    Function Join1()
        Join1 = Join(a(), "abc")
    End Function

    Function Join2()
        Join2 = Join(a(), ",")
    End Function

    Function Join3()
        Join3 = Join(a())
    End Function

    Function Split1(aStr)
        Split1 = Split(aStr, "D")
    End Function

    Sub Show(JoinStr, TheArray)
        l = LBound(TheArray)
        u = UBound(TheArray)
        total$ = "=============================" + Chr$(13) + JoinStr + Chr$(13) + Chr$(13)
        For i = l To u
            total$ = total$ + TheArray(i) + Str(Len(TheArray(i))) + Chr$(13)
        Next i
        MsgBox total$
    End Sub

Verwandte Themen

Zeichenfolgenfunktionen